com.smartgwt.client.widgets.drawing

## Class LinearGradient

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.widgets.drawing.Gradient
      - - com.smartgwt.client.widgets.drawing.LinearGradient

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class LinearGradient
      extends Gradient

  Definition of a linear gradient between two points, (`x1`, `y1`) and (`x2`, `y2`).

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LinearGradient()`
    `LinearGradient(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LinearGradient` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.String` | `getX1()` X coordinate of the start point.
    `java.lang.String` | `getX2()` X coordinate of the end point.
    `java.lang.String` | `getY1()` Y coordinate of the start point.
    `java.lang.String` | `getY2()` Y coordinate of the end point.
    `void` | `setX1(java.lang.String x1)` X coordinate of the start point.
    `void` | `setX2(java.lang.String x2)` X coordinate of the end point.
    `void` | `setY1(java.lang.String y1)` Y coordinate of the start point.
    `void` | `setY2(java.lang.String y2)` Y coordinate of the end point.

    - ### Methods inherited from class com.smartgwt.client.widgets.drawing.Gradient

      `getColorStops, getEndColor, getId, getStartColor, setColorStops, setEndColor, setId, setStartColor`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LinearGradient

          public LinearGradient()

    - #### LinearGradient

          public LinearGradient(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static LinearGradient getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setX1

          public void setX1(java.lang.String x1)

      X coordinate of the start point. This can be a number or a percentage of the width of the bounding box of the DrawItem to which it is applied.
      Parameters:
        `x1` - New x1 value. Default value is null

    - #### getX1

          public java.lang.String getX1()

      X coordinate of the start point. This can be a number or a percentage of the width of the bounding box of the DrawItem to which it is applied.
      Returns:
        Current x1 value. Default value is null

    - #### setX2

          public void setX2(java.lang.String x2)

      X coordinate of the end point. This can be a number or a percentage of the width of the bounding box of the DrawItem to which it is applied.
      Parameters:
        `x2` - New x2 value. Default value is null

    - #### getX2

          public java.lang.String getX2()

      X coordinate of the end point. This can be a number or a percentage of the width of the bounding box of the DrawItem to which it is applied.
      Returns:
        Current x2 value. Default value is null

    - #### setY1

          public void setY1(java.lang.String y1)

      Y coordinate of the start point. This can be a number or a percentage of the height of the bounding box of the DrawItem to which it is applied.
      Parameters:
        `y1` - New y1 value. Default value is null

    - #### getY1

          public java.lang.String getY1()

      Y coordinate of the start point. This can be a number or a percentage of the height of the bounding box of the DrawItem to which it is applied.
      Returns:
        Current y1 value. Default value is null

    - #### setY2

          public void setY2(java.lang.String y2)

      Y coordinate of the end point. This can be a number or a percentage of the height of the bounding box of the DrawItem to which it is applied.
      Parameters:
        `y2` - New y2 value. Default value is null

    - #### getY2

          public java.lang.String getY2()

      Y coordinate of the end point. This can be a number or a percentage of the height of the bounding box of the DrawItem to which it is applied.
      Returns:
        Current y2 value. Default value is null